From b4ef433be936c90e356da7a590b032cdee219a3f Mon Sep 17 00:00:00 2001
From: Michal Sekletar <msekleta@redhat.com>
Date: Fri, 4 Apr 2014 19:06:05 +0200
Subject: [PATCH 11/27] build-sys: don't put connect-errors log to /etc/ppp/

Resolves: #118837
---
 chat/chat.8        | 2 +-
 linux/Makefile.top | 8 +++++++-
 pppd/pathnames.h   | 4 ++--
 3 files changed, 10 insertions(+), 4 deletions(-)

diff --git a/chat/chat.8 b/chat/chat.8
index 6d10836..78d6939 100644
--- a/chat/chat.8
+++ b/chat/chat.8
@@ -200,7 +200,7 @@ The \fBSAY\fR directive allows the script to send strings to the user
 at the terminal via standard error.  If \fBchat\fR is being run by
 pppd, and pppd is running as a daemon (detached from its controlling
 terminal), standard error will normally be redirected to the file
-/etc/ppp/connect\-errors.
+/var/log/ppp/connect\-errors.
 .LP
 \fBSAY\fR strings must be enclosed in single or double quotes. If
 carriage return and line feed are needed in the string to be output,
diff --git a/pppd/pathnames.h b/pppd/pathnames.h
index de2fb68..84cf008 100644
--- a/pppd/pathnames.h
+++ b/pppd/pathnames.h
@@ -105,9 +105,9 @@
 #define PPP_PATH_AUTHDOWN       PPP_PATH_CONFDIR "/auth-down"
 #define PPP_PATH_TTYOPT         PPP_PATH_CONFDIR "/options."
 #define PPP_PATH_PEERFILES      PPP_PATH_CONFDIR "/peers/"
-#define PPP_PATH_RESOLV         PPP_PATH_CONFDIR "/resolv.conf"
+#define PPP_PATH_RESOLV         "/run/ppp/resolv.conf"
 
-#define PPP_PATH_CONNERRS       PPP_PATH_VARLOG  "/connect-errors"
+#define PPP_PATH_CONNERRS       "/var/log/ppp/connect-errors"
 
 #define PPP_PATH_USEROPT        ".ppprc"
 #define PPP_PATH_PSEUDONYM	    ".ppp_pseudonym"
